export { default as DataType } from "./internals/DataType.cjs";
export const serializers: {};
export const intSerializer: IntSerializer;
export const longSerializer: LongSerializer;
export const longSerializerNg: LongSerializerNg;
export const stringSerializer: StringSerializer;
export const dateSerializer: DateSerializer;
export const timestampSerializer: DateSerializer;
export const classSerializer: StringSerializer;
export const doubleSerializer: DoubleSerializer;
export const floatSerializer: FloatSerializer;
export const listSerializer: ArraySerializer;
export const mapSerializer: MapSerializer;
export const setSerializer: SetSerializer;
export const uuidSerializer: UuidSerializer;
export const edgeSerializer: EdgeSerializer;
export const pathSerializer: PathSerializer;
export const propertySerializer: PropertySerializer;
export const vertexSerializer: VertexSerializer;
export const vertexPropertySerializer: VertexPropertySerializer;
export const bytecodeSerializer: BytecodeSerializer;
export const pSerializer: PSerializer;
export const traverserSerializer: TraverserSerializer;
export const enumSerializer: EnumSerializer;
export const lambdaSerializer: LambdaSerializer;
export const bigIntegerSerializer: BigIntegerSerializer;
export const byteSerializer: ByteSerializer;
export const byteBufferSerializer: ByteBufferSerializer;
export const shortSerializer: ShortSerializer;
export const booleanSerializer: BooleanSerializer;
export const textPSerializer: TextPSerializer;
export const traversalStrategySerializer: TraversalStrategySerializer;
export const bulkSetSerializer: BulkSetSerializer;
export const unspecifiedNullSerializer: UnspecifiedNullSerializer;
export const numberSerializationStrategy: NumberSerializationStrategy;
export const anySerializer: AnySerializer;
export const graphBinaryReader: GraphBinaryReader;
export const graphBinaryWriter: GraphBinaryWriter;
export default ioc;
import IntSerializer from './internals/IntSerializer.cjs';
import LongSerializer from './internals/LongSerializer.cjs';
import LongSerializerNg from './internals/LongSerializerNg.cjs';
import StringSerializer from './internals/StringSerializer.cjs';
import DateSerializer from './internals/DateSerializer.cjs';
import DoubleSerializer from './internals/DoubleSerializer.cjs';
import FloatSerializer from './internals/FloatSerializer.cjs';
import ArraySerializer from './internals/ArraySerializer.cjs';
import MapSerializer from './internals/MapSerializer.cjs';
import SetSerializer from './internals/SetSerializer.cjs';
import UuidSerializer from './internals/UuidSerializer.cjs';
import EdgeSerializer from './internals/EdgeSerializer.cjs';
import PathSerializer from './internals/PathSerializer.cjs';
import PropertySerializer from './internals/PropertySerializer.cjs';
import VertexSerializer from './internals/VertexSerializer.cjs';
import VertexPropertySerializer from './internals/VertexPropertySerializer.cjs';
import BytecodeSerializer from './internals/BytecodeSerializer.cjs';
import PSerializer from './internals/PSerializer.cjs';
import TraverserSerializer from './internals/TraverserSerializer.cjs';
import EnumSerializer from './internals/EnumSerializer.cjs';
import LambdaSerializer from './internals/LambdaSerializer.cjs';
import BigIntegerSerializer from './internals/BigIntegerSerializer.cjs';
import ByteSerializer from './internals/ByteSerializer.cjs';
import ByteBufferSerializer from './internals/ByteBufferSerializer.cjs';
import ShortSerializer from './internals/ShortSerializer.cjs';
import BooleanSerializer from './internals/BooleanSerializer.cjs';
import TextPSerializer from './internals/TextPSerializer.cjs';
import TraversalStrategySerializer from './internals/TraversalStrategySerializer.cjs';
import BulkSetSerializer from './internals/BulkSetSerializer.cjs';
import UnspecifiedNullSerializer from './internals/UnspecifiedNullSerializer.cjs';
import NumberSerializationStrategy from './internals/NumberSerializationStrategy.cjs';
import AnySerializer from './internals/AnySerializer.cjs';
import GraphBinaryReader from './internals/GraphBinaryReader.cjs';
import GraphBinaryWriter from './internals/GraphBinaryWriter.cjs';
declare namespace ioc {
    export { DataType };
    export { utils };
    export let serializers: {};
    export let intSerializer: IntSerializer;
    export let longSerializer: LongSerializer;
    export let longSerializerNg: LongSerializerNg;
    export let stringSerializer: StringSerializer;
    export let dateSerializer: DateSerializer;
    export let timestampSerializer: DateSerializer;
    export let classSerializer: StringSerializer;
    export let doubleSerializer: DoubleSerializer;
    export let floatSerializer: FloatSerializer;
    export let listSerializer: ArraySerializer;
    export let mapSerializer: MapSerializer;
    export let setSerializer: SetSerializer;
    export let uuidSerializer: UuidSerializer;
    export let edgeSerializer: EdgeSerializer;
    export let pathSerializer: PathSerializer;
    export let propertySerializer: PropertySerializer;
    export let vertexSerializer: VertexSerializer;
    export let vertexPropertySerializer: VertexPropertySerializer;
    export let bytecodeSerializer: BytecodeSerializer;
    export let pSerializer: PSerializer;
    export let traverserSerializer: TraverserSerializer;
    export let enumSerializer: EnumSerializer;
    export let lambdaSerializer: LambdaSerializer;
    export let bigIntegerSerializer: BigIntegerSerializer;
    export let byteSerializer: ByteSerializer;
    export let byteBufferSerializer: ByteBufferSerializer;
    export let shortSerializer: ShortSerializer;
    export let booleanSerializer: BooleanSerializer;
    export let textPSerializer: TextPSerializer;
    export let traversalStrategySerializer: TraversalStrategySerializer;
    export let bulkSetSerializer: BulkSetSerializer;
    export let unspecifiedNullSerializer: UnspecifiedNullSerializer;
    export let numberSerializationStrategy: NumberSerializationStrategy;
    export let anySerializer: AnySerializer;
    export let graphBinaryReader: GraphBinaryReader;
    export let graphBinaryWriter: GraphBinaryWriter;
}
import DataType from './internals/DataType.cjs';
import * as utils from './internals/utils.cjs';
